<!-- Navbar -->
<nav class="main-header navbar navbar-expand-lg navbar-gray-dark navbar-dark" th:fragment="navbar">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" href="#" th:href=@{/}><i class="fas fa-user-secret fa-2x"></i></a>
        </li>
    </ul>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav"
            aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarNav">

        <!-- Right navbar links -->
        <ul class="navbar-nav">
            <th:block sec:authorize="isAuthenticated()">

                <th:block sec:authorize="not hasRole('ROLE_MODERATOR')">
                    <li class="nav-item">
                        <a class="nav-link" id="list-occurrences-link"
                           th:href="@{/occurrence/list}" th:text="#{occurrence.list}"></a>
                    </li>
                </th:block>

                <th:block sec:authorize="hasRole('ROLE_MODERATOR')">
                    <li class="nav-item dropdown">
                        <a id="list-occurrences-dropdown" class="nav-link dropdown-toggle"
                           data-toggle="dropdown" th:text="#{occurrence.list}" href="#"></a>
                        <div class="dropdown-menu bg-gray-dark">
                            <a class="dropdown-item" id="in-analysis-occurrences-link"
                               th:href="@{/occurrence/list(occurrenceStatusEnum=IN_ANALYSIS,onlyRelatedToMe=true)}">
                                <span th:text="#{occurrences.inAnalysis}"></span>
                                <span class="badge badge-secondary" th:text="${inAnalysisOccurrencesCounter}"></span>
                            </a>

                            <a class="dropdown-item" th:href="@{/occurrence/list(occurrenceStatusEnum=WAITING_ANALYSIS)}"
                               id="pending-occurrences-link">
                                <span th:text="#{occurrences.pending}"></span>
                                <span class="badge badge-secondary" th:text="${pendingOccurrencesCounter}"></span>
                            </a>

                            <a class="dropdown-item" th:href="@{/occurrence/list(occurrenceSortEnum=MOST_REPORTED,occurrenceStatusEnum=APPROVED)}"
                               id="reported-occurrences-link">
                                <span th:text="#{occurrences.report}"></span>
                                <span class="badge badge-secondary" th:text="${reportedOccurrencesCounter}"></span>
                            </a>

                            <a class="dropdown-item" id="all-occurrences-link"
                               th:href="@{/occurrence/list}">
                                <span th:text="#{occurrences.all}"></span>
                            </a>
                        </div>
                    </li>
                </th:block>

                <li class="nav-item">
                    <a class="nav-link" id="create-occurrence-link"
                       th:href="@{/occurrence/create}" th:text="#{occurrence.create}"></a>
                </li>

                <th:block sec:authorize="hasRole('ROLE_MODERATOR')">
                    <li class="nav-item">
                        <a id="list-users-link" class="nav-link" th:href="@{/user/list}" th:text="#{user.list}"></a>
                    </li>
                </th:block>
            </th:block>
        </ul>

        <!-- navbar right links -->
        <ul class="navbar-nav ml-auto">
            <th:block sec:authorize="isAuthenticated()">
                <li class="dropdown user user-menu nav-item">
                    <a class="dropdown-toggle nav-link" data-toggle="dropdown" href="#" id="user-info">
                        <i class="fas fa-user"></i>
                        <span th:text="${#authentication.principal.user.name}"><span
                                class="caret"></span></span>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-right">
                        <li class="user-header bg-gray-dark">
                            <p>
                                <span th:text="${#authentication.principal.user.username}"></span>
                                <small>
                                    <span class="text-light"
                                       href="#" th:text="#{${#authentication.principal.user.mainRole.description}}">
                                    </span>
                                </small>
                                <small>
                                    <span class="text-light"
                                       href="#" th:text="${#authentication.principal.user.email}">
                                    </span>
                                </small>
                            </p>
                            <div class="text-center">
                                <a class="btn btn-secondary btn-flat pull-left" href="#"
                                   id="profile-button"
                                   th:href="@{/user/edit/{id}(id=${#authentication.principal.user.id})}"
                                   th:text="#{layout.editUser}"></a>
                            </div>
                        </li>
                        <li class="user-footer">
                            <div class="text-center">
                                <a class="btn btn-danger btn-flat pull-right" href="#" id="logout-button"
                                   th:href="@{/logout}" th:text="#{login.logout}"></a>
                            </div>
                        </li>
                    </ul>
                </li>
            </th:block>

            <th:block sec:authorize="isAnonymous()">
                <li class="nav-item">
                    <a class="nav-link" id="user-create-link" th:href="@{/user/create}" th:text="#{login.create}"></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="login-link" th:href="@{/login}" th:text="#{login.login}"></a>
                </li>
            </th:block>
        </ul>
    </div>
</nav>
<!-- /.navbar -->